package com.org.web.honor.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.org.web.honor.domain.BcHonorShow;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface BcHonorShowMapper extends BaseMapper<BcHonorShow> {

    @Select("<script>" +
            "select * " +
            "from bc_honor_show " +
            "where is_delete = 0 "+

            " <if test = 'title != null and title != \"\"'> " +
            "  and title like concat('%', #{title}, '%') " +
            " </if> " +

            " order by create_time desc " +
            "</script>")
    List<BcHonorShow> queryList(BcHonorShow params);

}
