package com.org.web.room.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.org.system.entity.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 房间床位
 */
@Data
@Accessors(chain = true)
@TableName(value ="bc_room_bed")
public class BcRoomBed extends BaseEntity {

    /**  id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 床位名称
     */
    private String name;

    /**
     * 房间id
     */
    private Long roomId;

}
